Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.rendered
Class TileBlock

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.TileBlock

public class TileBlock
extends java.lang.Object

This class is responsible for breaking up a block of tiles into a set of smaller requests that are a large as possible without rerequesting significant numbers of tiles that are already available

Method Summary
`boolean` | `simplify()`
`TileBlock[]` | `splitOneGo()`
`java.lang.String` | `toString()` Really nice to string that outlines what tiles are filled and what region this block covers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Really nice to string that outlines what tiles are filled and what region this block covers. Really useful for debugging the TileBlock stuff.

### splitOneGo

    public TileBlock[] splitOneGo()

### simplify

    public boolean simplify()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.